WorkscopeAPI Open Workscope

API reference

API keys

1 request. Each shows the permission a key needs, what to send and what comes back.

On this page

The key making this request, and the company it works for (a good first call to check a key works)

GET/v1/api-keys/current

Permission
Any key
Answers
200

Response object

  • keyobjectrequired
    • iduuidrequired
    • namestringrequired
    • roleenumrequired

      One of "owner", "admin"

    • readOnlybooleanrequired
    • hiddenModulesarray of enumrequired
    • prefixstringrequired
    • createdByNamestringrequiredcan be null
    • createdAtdate-timerequired

      Matches ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$

    • lastUsedAtdate-timerequiredcan be null

      Matches ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$

    • lastUsedIpstringrequiredcan be null
    • revokedAtdate-timerequiredcan be null

      Matches ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$

  • organizationobjectrequired
    • iduuidrequired
    • namestringrequired
    • timeZonestringrequired
    • modulesarray of enumrequired
curl "https://app.workscope.co.uk/v1/api-keys/current" \
  -H "Authorization: Bearer wsk_your_key_here"

Example response

{
  "key": {
    "id": "3f2a9c1e-6b4d-4e8a-9f1c-2d7b5a0e8c41",
    "name": "Harbourside Dental",
    "role": "owner",
    "readOnly": false,
    "hiddenModules": [
      "projects"
    ],
    "prefix": "text",
    "createdByName": "Harbourside Dental",
    "createdAt": "2026-11-06T09:30:00.000Z",
    "lastUsedAt": "2026-11-06T09:30:00.000Z",
    "lastUsedIp": "text",
    "revokedAt": "2026-11-06T09:30:00.000Z"
  },
  "organization": {
    "id": "8c1d2e3f-4a5b-4c6d-8e7f-9a0b1c2d3e4f",
    "name": "Harbourside Dental",
    "timeZone": "text",
    "modules": [
      "projects"
    ]
  }
}